import { ValidationArguments } from 'class-validator';

export const hasProperPassengerSeats = (args: ValidationArguments): boolean => {
  if (
    args.object['passenger'] === true &&
    typeof args.object['seatsPassenger'] === 'number'
  )
    return args.object['seatsPassenger'] > 0;
  if (
    (args.object['passenger'] === false ||
      args.object['passenger'] === null ||
      args.object['passenger'] === undefined) &&
    (args.object['seatsPassenger'] === 0 ||
      args.object['seatsPassenger'] === null ||
      args.object['seatsPassenger'] === undefined)
  )
    return true;
  return false;
};
